Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# HeadMotionRequest Class Reference

Represents a motion request for the head. More...

`#include <HeadMotionRequest.h>`

Inheritance diagram for HeadMotionRequest:

[legend]
Collaboration diagram for HeadMotionRequest:

[legend]
List of all members.

## Public Member Functions
| HeadMotionRequest ()
| constructor
| ~HeadMotionRequest ()
| destructor
## Public Attributes
signed long | tilt
| requested head joint angles
signed long | pan
| requested head joint angles
signed long | roll
| requested head joint angles
signed long | mouth
| requested head joint angles
## Private Member Functions
void | serialize (In *in, Out *out)

## Detailed Description

Represents a motion request for the head.

Definition at line 22 of file HeadMotionRequest.h.

## Constructor & Destructor Documentation

HeadMotionRequest::HeadMotionRequest | ( |  | ) |

| constructor Definition at line 16 of file HeadMotionRequest.cpp.

HeadMotionRequest::~HeadMotionRequest | ( |  | ) |

| destructor Definition at line 20 of file HeadMotionRequest.cpp.

## Member Function Documentation

void HeadMotionRequest::serialize | ( | In * | in,
|  | Out * | out
| ) | `[inline, private, virtual]`

| Implements Streamable. Definition at line 24 of file HeadMotionRequest.h. References mouth, pan, roll, STREAM, STREAM_REGISTER_BEGIN, STREAM_REGISTER_FINISH, and tilt.

## Member Data Documentation

signed long HeadMotionRequest::tilt

| requested head joint angles Definition at line 36 of file HeadMotionRequest.h. Referenced by GT2005MotionControl::execute(), Xabsl2HeadControl::executeIfEngineCouldNotBeCreated(), Xabsl2HeadControl::printGeneratedMainActionToString(), serialize(), GT2005HeadControl::setJoints(), and GT2005HeadControl::setJointsDirect().

signed long HeadMotionRequest::pan

| requested head joint angles Definition at line 36 of file HeadMotionRequest.h. Referenced by GT2005MotionControl::execute(), Xabsl2HeadControl::executeIfEngineCouldNotBeCreated(), Xabsl2HeadControl::printGeneratedMainActionToString(), serialize(), GT2005HeadControl::setJoints(), and GT2005HeadControl::setJointsDirect().

signed long HeadMotionRequest::roll

| requested head joint angles Definition at line 36 of file HeadMotionRequest.h. Referenced by GT2005MotionControl::execute(), Xabsl2HeadControl::executeIfEngineCouldNotBeCreated(), Xabsl2HeadControl::printGeneratedMainActionToString(), serialize(), GT2005HeadControl::setJoints(), and GT2005HeadControl::setJointsDirect().

signed long HeadMotionRequest::mouth

| requested head joint angles Definition at line 36 of file HeadMotionRequest.h. Referenced by GT2005MotionControl::execute(), Xabsl2HeadControl::executeIfEngineCouldNotBeCreated(), serialize(), GT2005HeadControl::setJoints(), GT2005HeadControl::setJointsDirect(), and GT2005HeadControl::showVisualizationQuality().

The documentation for this class was generated from the following files:

- Representations/Motion/HeadMotionRequest.h
- Representations/Motion/HeadMotionRequest.cpp